uniform sampler2D mPingBuffer;
uniform sampler2D mPongBuffer;

void main (void) 
{
	vec4 pingLookup = texture2D(mPingBuffer, gl_TexCoord[0].xy);
	vec4 pongLookup = texture2D(mPongBuffer, gl_TexCoord[0].xy);

	vec4 color = pingLookup + pongLookup;
	/*if(pingLookup.a == 0.0)
	{
		color = pongLookup;
	}
	else
	{
		color = pingLookup;
	}*/

	gl_FragColor = color;
}